using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Mpeg2;
using skyscraper5.Skyscraper.IO;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.Dvb.Descriptors
{
	[SkyscraperPlugin]
	[TsDescriptor(0x4f,"EIT")]
    class TimeShiftedEventDescriptor : TsDescriptor
    {
        public TimeShiftedEventDescriptor(byte[] buffer)
        {
            MemoryStream ms = new MemoryStream(buffer, false);
            ReferenceServiceId = ms.ReadUInt16BE();
            ReferenceEventId = ms.ReadUInt16BE();
        }

        public ushort ReferenceEventId { get; private set; }

        public ushort ReferenceServiceId { get; private set; }
    }
}
